Bug 1889267 - Increase the time out for creating template and upload image in the terraform
Summary: Increase the time out for creating template and upload image in the terraform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: 4.7.0
Assignee: Gal Zaidman
QA Contact: michal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 08:24 UTC by Michael Burman
Modified: 2021-02-24 15:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:26:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4285 0 None closed Bug 1889267: oVirt, increase terraform template and release image timeout to 20m 2021-01-24 08:05:01 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:08 UTC

Description Michael Burman 2020-10-19 08:24:10 UTC
Increase the time out for creating template and upload image in the terraform

While trying to install OCP on RHV many times i fail on the terraform time out of 10 minutes(for image upload and template creation), while the operation in the engine succeeded after 11-15 minutes. 
Mostly happening when the vmType is high performance.
Also our QE env seems to be a bit slow.
I think that we need to increase the time out for image upload and template creation to 15 minutes or maybe 20. 
For users with slow env, slow storage and so on. 

DEBUG module.template.ovirt_template.releaseimage_template[0]: Still creating... [10m0s elapsed]
ERROR
ERROR Error: timeout while waiting for state to become 'ok' (last state: 'locked', timeout: 10m0s)

Version:
openshift-install-linux-4.6.0-0.nightly-2020-10-03-051134

Platform:
ovirt/RHV

Please specify:
* IPI (automated install with `openshift-install`. 

Reproduced many times on our QE env and with high performance VMs.
The install failed on the 10 minutes timeout of the terrafrom, while engine succeeded after 11~ minutes.
We should increase the default timeout for these operations, to avoid installation failures becasue of such things.

Comment 3 michal 2020-12-30 12:25:42 UTC
verify on:
4.7.0-0.nightly-2020-12-21-131655

steps:
1) Install ocp on RHV (automated install with `openshift-install`)

results:
installation finished without error timeout of the terrafrom

Comment 5 errata-xmlrpc 2021-02-24 15:26:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.